OCSPReq (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.ocsp

## Class OCSPReq

- java.lang.Object
- - org.bouncycastle.cert.ocsp.OCSPReq

-     public class OCSPReq
      extends java.lang.Object

       OCSPRequest     ::=     SEQUENCE {
             tbsRequest                  TBSRequest,
             optionalSignature   [0]     EXPLICIT Signature OPTIONAL }

         TBSRequest      ::=     SEQUENCE {
             version             [0]     EXPLICIT Version DEFAULT v1,
             requestorName       [1]     EXPLICIT GeneralName OPTIONAL,
             requestList                 SEQUENCE OF Request,
             requestExtensions   [2]     EXPLICIT Extensions OPTIONAL }

         Signature       ::=     SEQUENCE {
             signatureAlgorithm      AlgorithmIdentifier,
             signature               BIT STRING,
             certs               [0] EXPLICIT SEQUENCE OF Certificate OPTIONAL}

         Version         ::=             INTEGER  {  v1(0) }

         Request         ::=     SEQUENCE {
             reqCert                     CertID,
             singleRequestExtensions     [0] EXPLICIT Extensions OPTIONAL }

         CertID          ::=     SEQUENCE {
             hashAlgorithm       AlgorithmIdentifier,
             issuerNameHash      OCTET STRING, -- Hash of Issuer's DN
             issuerKeyHash       OCTET STRING, -- Hash of Issuers public key
             serialNumber        CertificateSerialNumber }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OCSPReq(byte[] req)`
    `OCSPReq(org.bouncycastle.asn1.ocsp.OCSPRequest req)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509CertificateHolder[]` | `getCerts()`
    `java.util.Set` | `getCriticalExtensionOIDs()`
    `byte[]` | `getEncoded()` return the ASN.1 encoded representation of this object.
    `org.bouncycastle.asn1.x509.Extension` | `getExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid)`
    `java.util.List` | `getExtensionOIDs()`
    `java.util.Set` | `getNonCriticalExtensionOIDs()`
    `Req[]` | `getRequestList()`
    `org.bouncycastle.asn1.x509.GeneralName` | `getRequestorName()`
    `byte[]` | `getSignature()`
    `org.bouncycastle.asn1.ASN1ObjectIdentifier` | `getSignatureAlgOID()` return the object identifier representing the signature algorithm
    `int` | `getVersionNumber()`
    `boolean` | `hasExtensions()`
    `boolean` | `isSignatureValid(ContentVerifierProvider verifierProvider)` verify the signature against the TBSRequest object we contain.
    `boolean` | `isSigned()` Return whether or not this request is signed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OCSPReq

          public OCSPReq(org.bouncycastle.asn1.ocsp.OCSPRequest req)

    - #### OCSPReq

          public OCSPReq(byte[] req)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getVersionNumber

          public int getVersionNumber()

    - #### getRequestorName

          public org.bouncycastle.asn1.x509.GeneralName getRequestorName()

    - #### getRequestList

          public Req[] getRequestList()

    - #### hasExtensions

          public boolean hasExtensions()

    - #### getExtension

          public org.bouncycastle.asn1.x509.Extension getExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid)

    - #### getExtensionOIDs

          public java.util.List getExtensionOIDs()

    - #### getCriticalExtensionOIDs

          public java.util.Set getCriticalExtensionOIDs()

    - #### getNonCriticalExtensionOIDs

          public java.util.Set getNonCriticalExtensionOIDs()

    - #### getSignatureAlgOID

          public org.bouncycastle.asn1.ASN1ObjectIdentifier getSignatureAlgOID()

      return the object identifier representing the signature algorithm

    - #### getSignature

          public byte[] getSignature()

    - #### getCerts

          public X509CertificateHolder[] getCerts()

    - #### isSigned

          public boolean isSigned()

      Return whether or not this request is signed.
      Returns:
        true if signed false otherwise.

    - #### isSignatureValid

          public boolean isSignatureValid(ContentVerifierProvider verifierProvider)
                                   throws OCSPException

      verify the signature against the TBSRequest object we contain.
      Throws:
        `OCSPException`

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      return the ASN.1 encoded representation of this object.
      Throws:
        `java.io.IOException`